clear all
close all
clc

%%  Sensing Matrix Generation m < n
n = 50;    % Original size up to ~2000 for ordinary desktop machines
prc = 0.25; % Percentage of the measurement
m = round(prc*n);   % Number of measurements

A = randn(m, n);   % Generating sensing matrix with random gaussian entries

%%  Solving relaxed-SDP to track the lower bound of SSP
[solution] = SSP_rSDP(A);   % solving relaxed-SDP
Sparsity_Rate = -1./solution.info.obj(1)/2/200 % Sparsity rate k/n